## uim 1.8.6+gh20180114.64e3173

=== notify/CMakeLists.txt ===
project(knotify4)

find_package(KDE4 REQUIRED)

include_directories(${KDE4_INCLUDES} ${CMAKE_SOURCE_DIR}/..
        ${CMAKE_SOURCE_DIR}/../uim ${CMAKE_SOURCE_DIR}/../replace
        ${CMAKE_SOURCE_DIR}/../qt4 ${CMAKE_BINARY_DIR}/../../uim)

set(uimnotify_knotify4_SRCS
        uim-knotify4.cpp)
 
kde4_add_library(uimnotify-knotify4 SHARED ${uimnotify_knotify4_SRCS})
target_link_libraries(uimnotify-knotify4 ${KDE4_KDEUI_LIBS})
install(TARGETS uimnotify-knotify4 DESTINATION ${UIMNOTIFY_PLUGINDIR})

=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>
Build-Depends: debhelper (>= 11~),
	autoconf,
	automake,
	intltool,
	libtool,
	cmake,
	librsvg2-bin,
	libxml-perl,
	m17n-db,
	libanthy-dev (>= 1:0.3),
	libatk1.0-dev,
	libedit-dev,
	libexpat1-dev,
	libfreetype6-dev,
	libgcroots-dev,
	libgtk2.0-dev (>= 2.10.1),
	libgtk-3-dev,
	libncurses5-dev,
	libm17n-dev,
	libpango1.0-dev,
	libx11-dev,
	libxext-dev,
	libxft-dev,
	qtbase5-dev,
	qtbase5-private-dev,
	libqt5x11extras5-dev,
	x11proto-core-dev
Standards-Version: 4.1.3
Homepage: https://github.com/uim/uim/wiki
Vcs-Git: https://salsa.debian.org/debian/uim.git
Vcs-Browser: https://salsa.debian.org/debian/uim

Package: uim
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-data (>= ${source:Version}),
	uim-plugins (>= ${source:Version})
Pre-Depends: dpkg (>= 1.15.7.2)
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-skk (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-skk (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Recommends: wordlist, im-config,
	uim-gtk2.0 (>= ${source:Version}),
	uim-qt5 (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Suggests: uim-mozc | uim-anthy | uim-skk
Description: Universal Input Method - main binary package
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a package designed to install the basic uim infrastructure.

Package: uim-plugins
Section: utils
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libuim-plugins (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: libuim-plugins (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Description: Universal Input Method - plugin files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the plugin files for uim.

Package: uim-data
Section: utils
Architecture: all
Breaks: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Depends: m17n-db,
	${misc:Depends}
Multi-Arch: foreign
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Multi-Arch: same
Description: Universal Input Method - uim library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-scm0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Multi-Arch: same
Description: Universal Input Method - uim-scm API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-scm API.

Package: libuim-custom2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
Multi-Arch: same
Description: Universal Input Method - uim-custom API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-custom API.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
	libuim8 (= ${binary:Version}),
	libuim-custom2 (= ${binary:Version}),
	libuim-scm0 (= ${binary:Version}),
	libgcroots-dev
Multi-Arch: same
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: uim-gtk2.0
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-gtk2.0-immodule (= ${binary:Version}),
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an GTK+2.0 front-end applications for uim.

Package: uim-gtk2.0-immodule
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: uim-gtk2.0 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Breaks: uim-gtk2.0 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Description: Universal Input Method - GTK+2.x IM-module
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-gtk3-immodule (= ${binary:Version}),
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an GTK+3.0 front-end applications for uim.

Package: uim-gtk3-immodule
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: uim-gtk3 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Replaces: uim-gtk3 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
Description: Universal Input Method - GTK+3.x IM module
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt5
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-qt5-immodule (= ${binary:Version}),
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Description: Universal Input Method - Qt 5.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 5.x.

Package: uim-qt5-immodule
Section: x11
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Universal Input Method - Qt 5.x IM module
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on Qt 5.x.

Package: uim-xim
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version})
Suggests: uim-gtk2.0, uim-gtk3, uim-qt5
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-fep
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim (>= ${source:Version}),
	uim-data (>= ${source:Version}),
Description: Universal Input Method - front end processor
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in

## uim 1.8.8

=== qt4/toolbar/CMakeLists.txt ===
project(plasma-uim)
set(CMAKE_VERBOSE_MAKEFILE on)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DPLASMA_APPLET_UIM)
include_directories(${KDE4_INCLUDES}
        ${CMAKE_SOURCE_DIR}/../.. ${CMAKE_SOURCE_DIR}/../../uim
        ${CMAKE_SOURCE_DIR}/../../replace ${CMAKE_SOURCE_DIR}/..
        ${CMAKE_BINARY_DIR}/../../../uim)

set(uim_SRCS
        common-quimhelpertoolbar.cpp
        common-uimstateindicator.cpp
        applet-kde4.cpp)

# Remove "-Wconversion" from CXXFLAGS to avoid lots of warnings
# from Qt4 header files
string(REGEX REPLACE "-Wconversion" ""
        CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} $ENV{CPPFLAGS}")
 
kde4_add_plugin(plasma_applet_uim ${uim_SRCS})
target_link_libraries(plasma_applet_uim ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS}
        ${CMAKE_BINARY_DIR}/../../../uim/.libs/libuim.so
        ${CMAKE_BINARY_DIR}/../../../uim/.libs/libuim-scm.so
        -luim -luim-scm)
 
install(TARGETS plasma_applet_uim DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/../plasma-applet-uim.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
uim (1:1.8.8-4+deb10u5) buster; urgency=medium

  * Non-maintainer upload.
  * libuim-data: Copy Breaks from uim-data as the contents will be temporarily
    unavailable during the transition to uim-data.  (Closes: #988275)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 May 2021 11:26:03 +0200

uim (1:1.8.8-4+deb10u4) buster; urgency=medium

  * Non-maintainer upload.
  * libuim-data: Perform symlink_to_dir conversion of
    /usr/share/doc/libuim-data in the resurrected package for clean upgrades
    from stretch.  (Closes: #985352)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Mar 2021 15:29:59 +0100

uim (1:1.8.8-4+deb10u3) buster; urgency=medium

  * Non-maintainer upload.

  [ NOKUBI Takatsugu ]
  * d/libuim-data.postint: add uim-mozc (See #939588)

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/libuim-data.postinst: add uim-chewing

  [ YOSHINO Yoshihito ]
  * d/libuim-data.postinst: unregister not-installed modules (Closes: #945344).
    The previous upload to fix #939588 caused regression, which has
    accidentally registered some not-installed modules.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 12 Jan 2020 19:42:26 +0900

uim (1:1.8.8-4+deb10u2) buster; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * resurrect libuim-data as a transitional package (Closes: #939588).
    After upgrading from stretch to buster, if purging libuim-data,
    its postrm script deletes /var/lib/uim/*.scm files required by uim.
    This libuim-data transitional package can be removed safely.

  [ NOKUBI Takatsugu ]
  * d/control: uim-data depends libuim-data dummy package,
    change the description.
  * d/libuim-data.postint: re-register all modules, fix #939588

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 12 Sep 2019 00:08:30 +0900

uim (1:1.8.8-4) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Non-maintainer upload.
  * d/{uim.{postinst,prerm},NEWS}: Do not auto-register/unregister plugins of
    the following input methods:
    byeoru, ipa-x-sampa, latin, look, m17nlib, pinyin, viqr
    When upgrading from stretch this behaved badly and they took precedence
    over other popular plugins many people use.
  * d/{control,rules,uim-*.{postinst,prerm}}: Resurrect packages
    uim-{byeoru,ipa-x-sampa,latin,look,m17nlib,pinyin,viqr} for those plugins.
    All of them exist in stretch and should upgrade normally.
    Dear testing/sid users,
    If you are using some of the input methods above, you have to manually
    install the respective package(s). Sorry for any inconvenience.
  * d/{uim.preinst,control}: Unregister those plugins on upgrade from
    testing/sid. Make uim Pre-Depends: uim-data accordingly.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 28 Mar 2019 09:31:18 +0900

uim (1:1.8.8-3) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/control: set Breaks+Replaces: uim-qt5 to uim-qt5-immodule
    (Closes: #905186).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 03 Aug 2018 21:26:06 +0900

uim (1:1.8.8-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/t/: do not use Makefile.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 13 May 2018 17:00:05 +0900

uim (1:1.8.8-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream release.
  * d/control: tighten build-dependency libgcroots-dev.
  * d/p/support_anthy-0.3.patch: refresh patch.
  * d/p/fix_spelling_error_sigscheme.patch: removed, imported upstream.
  * d/p/uim_can_work_with_libgcroot_0.2.2.patch: removed, imported upstream.
  * d/rules, d/uim-data.docs: use RELNOTE as upstream changelog.
  * support autopkgtest.
  * bump up Standards-Version 4.1.4.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 12 May 2018 13:11:45 +0900

uim (1:1.8.6+gh20180301.c79432c-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  * d/p/qt5-disable-debug-flag.patch: removed, imported upstream.
  * d/p/qt5-immodule-qmake-conf.patch: removed, not-needed.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 03 Mar 2018 20:32:03 +0900

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	libedit-dev,
 	libexpat1-dev,
 	libfreetype6-dev,
-	libgcroots-dev,
+	libgcroots-dev (>= 0.9.0),
 	libgtk2.0-dev (>= 2.10.1),
 	libgtk-3-dev,
 	libncurses5-dev,
@@ -30,7 +30,7 @@
 	qtbase5-private-dev,
 	libqt5x11extras5-dev,
 	x11proto-core-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/uim/uim/wiki
 Vcs-Git: https://salsa.debian.org/debian/uim.git
 Vcs-Browser: https://salsa.debian.org/debian/uim
@@ -40,9 +40,9 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim-data (>= ${source:Version}),
 	uim-plugins (>= ${source:Version})
-Pre-Depends: dpkg (>= 1.15.7.2)
+Pre-Depends: dpkg (>= 1.15.7.2),
+	uim-data (>= ${source:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
@@ -92,11 +92,25 @@
 Architecture: all
 Breaks: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
-Depends: m17n-db,
+Depends: m17n-db, libuim-data (>= ${source:Version}),
 	${misc:Depends}
 Multi-Arch: foreign
 Description: Universal Input Method - data files
@@ -107,6 +121,22 @@
  Scheme, so it's very simple and flexible.
  .
  This package contains the data files for uim.
+
+Package: libuim-data
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: all
+Section: oldlibs
+Breaks: uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
+	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
+Description: transitional package for uim-data
+ This is a transitional package. It will be removed next release.
 
 Package: libuim8
 Architecture: any
@@ -262,42 +292,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: uim-qt5 (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
+Replaces: uim-qt5 (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Description: Universal Input Method - Qt 5.x IM module
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
- PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains an IM-module to support the use of uim on Qt 5.x.
-
-Package: uim-xim
-Section: x11
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim (>= ${source:Version}),
-	uim-data (>= ${source:Version})
-Suggests: uim-gtk2.0, uim-gtk3, uim-qt5
-Description: Universal Input Method - XIM compatibility interface
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package provides a bridge allowing software that can only interface
- with the X Input Method to work with uim.
-
-Package: uim-fep
-Section: utils
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim (>= ${source:Version}),
-	uim-data (>= ${source:Version}),
-Description: Universal Input Method - front end processor
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags := \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=/usr/lib/uim \
	--with-libgcroots=installed \
	--disable-rpath \
	--enable-static \
	--enable-shared \
	$(NULL)

confflags += \
	--with-fep \
	--without-anthy \
	--with-anthy-utf8 \
	--with-m17nlib \
	--with-x \
	--with-gtk \
	--with-gtk3 \
	--without-qt4 \
	--without-qt4-immodule \
	--with-qt5 \
	--with-qt5-immodule \
	--with-expat \
	--disable-dict \
	--disable-gnome-applet \
	--disable-gnome3-applet \
	--disable-kde4-applet \
	$(NULL)

confflags += $(shell dpkg-buildflags --export=configure)

ifneq (,$(filter $(DEB_HOST_ARCH), ia64 s390))
confflags += UIM_SCM_CFLAGS=-fno-strict-aliasing
endif

export QT_SELECT=qt5

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed $(CURDIR)/autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/tables/wb86.table $(CURDIR)/tables/zm.table
	rm -f $(CURDIR)/config.log $(CURDIR)/config.status

override_dh_auto_install:
	dh_auto_install -- GTK_IMMODULES=/dev/null

override_dh_install:
	install -d $(CURDIR)/debian/uim/var/lib/uim
	cp $(CURDIR)/debian/README.var-lib-uim $(CURDIR)/debian/uim/var/lib/uim/README
	install -d $(CURDIR)/debian/tmp/usr/share/uim/helperdata
	cp $(CURDIR)/qt4/chardict/bushu.t \
		$(CURDIR)/debian/tmp/usr/share/uim/helperdata
	dh_install --sourcedir=debian/tmp

override_dh_link:
	dh_link -p uim \
		var/lib/uim/installed-modules.scm \
		usr/share/uim/installed-modules.scm
	dh_link -p uim \
		var/lib/uim/loader.scm \
		usr/share/uim/loader.scm
	dh_link

override_dh_strip:
	dh_strip --ddeb-migration='uim-dbg (<< 1:1.8.1-15~)'

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-2.0 \
		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/gtk-3.0 \
		$(NULL)

override_dh_installdocs:
	cp -f $(CURDIR)/debian/uim-data.docs $(CURDIR)/debian/uim.docs
	dh_installdocs -puim -puim-data \
		-plibuim8 -plibuim-scm0 -plibuim-custom2 \
		-puim-plugins \
		-puim-el -puim-fep -puim-xim \
		-plibuim-data
	rm -f $(CURDIR)/debian/uim.docs
	# arch:all
	dh_installdocs --link-doc uim-data \
		-puim-anthy -puim-skk -puim-m17nlib \
		-puim-byeoru -puim-latin -puim-pinyin \
		-puim-tcode -puim-viqr -puim-ipa-x-sampa -puim-look
	# arch:any
	dh_installdocs --link-doc uim \
		-puim-gtk2.0 -puim-gtk2.0-immodule \
		-puim-gtk3 -puim-gtk3-immodule \
		-puim-qt5 -puim-qt5-immodule
	dh_installdocs --link-doc libuim8 -plibuim-dev

override_dh_installchangelogs:
	dh_installchangelogs -puim -puim-data \
		-puim-plugins \
		-plibuim8 -plibuim-scm0 -plibuim-custom2 -plibuim-dev \
		-puim-el -puim-fep -puim-xim \
		-plibuim-data \
		RELNOTE

=== debian/watch ===
version=3
opts="uversionmangle=s/-alpha/~alpha/;s/-beta/~beta/" \
 https://github.com/uim/uim/releases .*/uim-(\d\.\d\.\d.*)\.tar\.gz

## uim 1.9.0

=== debian/changelog ===
uim (1:1.9.0-1) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Non-maintainer upload.
  * New upstream release (Closes: #1021075).
  * d/p/configure-Fix-snprintf-check-for-strict-er-C99-compi.patch:
    removed, applied upstream.
  * d/p/0007-skip-po-check-keep-Makefile.in.in.patch: Refreshed.
  * d/{control,rules}: Add Qt 6 support.

  [ NOKUBI Takatsugu ]
  * import debdiff

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 05 Mar 2025 14:03:23 +0900

uim (1:1.8.9-0.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1021075).
  * d/p/replace_obsolete_since_emacs22.1.patch: removed, applied upstream.
  * d/p/0007-skip-po-check-keep-Makefile.in.in.patch: Refreshed.
  * d/control: Add extra-cmake-modules, libkf5plasma-dev, qtdeclarative5-dev
    to Build-Depends.
  * d/watch: Updated to really watch GitHub.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 02 Mar 2025 21:29:53 +0900

uim (1:1.8.8-10) unstable; urgency=medium

  * debian/patches/0007-skip-po-check-keep-Makefile.in.in.patch: workaround po/ test, closes: #1092240

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 09 Feb 2025 13:55:59 +0000

uim (1:1.8.8-9.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dmitry Shachnev ]
  * Make libuim8 break old versions of uim, because uim-module-manager used
    the internal symbols which disappeared with glibc 2.38. Closes: #1073828

  [ Andreas Metzler ]
  * Tighten all deps of binary-any packages on libuim8 to ${binary:Version}.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Jun 2024 12:25:06 +0300

uim (1:1.8.8-9.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Metzler ]
  * Ignore internal symbols in debian/libuim8.symbols. Closes: #1070389

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 May 2024 23:30:24 +0300

uim (1:1.8.8-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ./configure related FTBFS with -Werror=implicit-function-declaration.
    Closes: #1066433

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Mar 2024 10:52:54 +0100

uim (1:1.8.8-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -O1 to workaround #1019974.

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Oct 2022 15:38:11 +0300

uim (1:1.8.8-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * I finally lost my motivation then stepped down uim's maintainer.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 26 Jun 2022 23:40:31 +0900

uim (1:1.8.8-9) unstable; urgency=medium

  * drop to register anthy (EUC-JP) again (Closes: #953616).
    but you can still use anthy (EUC-JP). if you want to use or stop using
    anthy (EUC-JP), you run uim-module-manager command with root privilege.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 27 Feb 2021 11:40:47 +0900

uim (1:1.8.8-8) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * uim-anthy: prefer UTF-8 module (Closes: #983370)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 23 Feb 2021 12:33:54 +0900

uim (1:1.8.8-7) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * d/p/disable-composer-test.patch: add the patch to skip composer-test.
    (Closes: #973459)

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/p/replace_obsolete_since_emacs22.1.patch: Replace
    process-kill-without-query with set-process-query-on-exit-flag
    (Closes: #977397, #977257)
  * resurrect anthy for EUC-JP (Closes: #953616)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 22 Dec 2020 21:07:53 +0900

uim (1:1.8.8-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/libuim-data.postinst: unregister not-installed modules (Closes: #945344).
    The previous upload to fix #939588 caused regression, which has
    accidentally registered some not-installed modules.

 -- YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>  Sun, 12 Jan 2020 19:42:26 +0900

uim (1:1.8.8-6) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/control: depends emacs instead of emacs24 (Closes: #942300)
    - patch created by Gianfranco Costamagna <locutusofborg@debian.org>, thanks.
  * d/control: set Rules-Requires-Root: as no.
  * bump up Standards-Version 4.4.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 15 Oct 2019 14:16:44 +0900

uim (1:1.8.8-5) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/control: Bump debhelper compatibility level to 12 and
    use debhelper-compat instead of d/compat
  * bump up Standards-Version 4.4.0.
  * d/*.symbols: eliminate lintian warning:
    symbols-file-missing-build-depends-package-field
  * d/uim.lintian-overrides: override lintian warning:
    package-contains-documentation-outside-usr-share-doc
  * d/*.lintian-overrides: update lintian-overrides:
    spelling-error-in-copyright
  * d/rules: eliminate lintian warning:
    debug-symbol-migration-possibly-complete
  * d/not-installed: new file, mute dh_missing.
  * d/uim-plugins.lintian-overrides: set lintian override:
    library-not-linked-against-libc
    usr/lib/*/uim/plugin/libuim-custom-enabler.so does not have NEEDED libc.so,
    but it is plugin.
  * resurrect libuim-data as a transitional package (Closes: #939588).
    After upgrading from stretch to buster, if purging libuim-data,
    its postrm script deletes /var/lib/uim/*.scm files required by uim.
    This libuim-data transitional package can be removed safely.

  [ NOKUBI Takatsugu ]
  * d/control: uim-data depends libuim-data dummy package,
    change the description.
  * d/libuim-data.postint: re-register all modules, fix #939588

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 22 Sep 2019 00:33:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: uim
 Section: libs
 Priority: optional
-Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
-Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>
-Build-Depends: debhelper (>= 11~),
+Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
+Build-Depends: debhelper-compat (= 12),
 	autoconf,
 	automake,
 	intltool,
@@ -29,18 +28,25 @@
 	qtbase5-dev,
 	qtbase5-private-dev,
 	libqt5x11extras5-dev,
-	x11proto-core-dev
-Standards-Version: 4.1.4
+	x11proto-core-dev,
+	extra-cmake-modules,
+	libkf5plasma-dev,
+	qtdeclarative5-dev,
+	qt6-base-dev,
+	qt6-base-private-dev
+Standards-Version: 4.4.1
 Homepage: https://github.com/uim/uim/wiki
 Vcs-Git: https://salsa.debian.org/debian/uim.git
 Vcs-Browser: https://salsa.debian.org/debian/uim
+Rules-Requires-Root: no
 
 Package: uim
 Section: utils
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	uim-plugins (>= ${source:Version})
+	libuim8 (= ${binary:Version}),
+	uim-plugins (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.7.2),
 	uim-data (>= ${source:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
@@ -56,6 +62,7 @@
 Recommends: wordlist, im-config,
 	uim-gtk2.0 (>= ${source:Version}),
 	uim-qt5 (>= ${source:Version}),
+	uim-qt6 (>= ${source:Version}),
 	uim-gtk3 (>= ${source:Version}),
 	uim-xim (>= ${source:Version}),
 	uim-fep (>= ${source:Version})
@@ -73,7 +80,8 @@
 Section: utils
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version})
 Breaks: libuim-plugins (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: libuim-plugins (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
@@ -126,39 +134,31 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: all
 Section: oldlibs
-Breaks: uim-anthy (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-m17nlib (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-byeoru (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-latin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-pinyin (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-viqr (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
-	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Description: transitional package for uim-data
  This is a transitional package. It will be removed next release.
 
 Package: libuim8
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~), uim (<< 1:1.8.8-9.4~)
+Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~), uim (<< 1:1.8.8-9.4~)
+Multi-Arch: same
+Description: Universal Input Method - uim library
+ Uim is an input method module library which supports various scripts and can
+ act as a front end for a range of input methods, including Anthy, Canna,
+ or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .
+ This package contains the shared libraries for uim.
+
+Package: libuim-scm0
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Multi-Arch: same
-Description: Universal Input Method - uim library
- Uim is an input method module library which supports various scripts and can
- act as a front end for a range of input methods, including Anthy, Canna,
- or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
- M17n (for many other languages). Most of its functions are implemented in
- Scheme, so it's very simple and flexible.
- .
- This package contains the shared libraries for uim.
-
-Package: libuim-scm0
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
-Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
-Multi-Arch: same
 Description: Universal Input Method - uim-scm API library
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
@@ -170,7 +170,8 @@
 
 Package: libuim-custom2
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Multi-Arch: same
@@ -206,6 +207,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version}),
 	uim-gtk2.0-immodule (= ${binary:Version}),
 	uim (>= ${source:Version}),
 	uim-data (>= ${source:Version})
@@ -222,7 +224,8 @@
 Section: x11
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version})
 Replaces: uim-gtk2.0 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
 Breaks: uim-gtk2.0 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
 Description: Universal Input Method - GTK+2.x IM-module
@@ -240,6 +243,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version}),
 	uim-gtk3-immodule (= ${binary:Version}),
 	uim (>= ${source:Version}),
 	uim-data (>= ${source:Version})
@@ -256,7 +260,8 @@
 Section: x11
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version})
 Breaks: uim-gtk3 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: uim-gtk3 (<<1:1.8.6+gh20161003.0.d63dadd-5~)
 Description: Universal Input Method - GTK+3.x IM module
@@ -274,6 +279,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version}),
 	uim-qt5-immodule (= ${binary:Version}),
 	uim (>= ${source:Version}),
 	uim-data (>= ${source:Version})
@@ -291,7 +297,8 @@
 Section: x11
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+	libuim8 (= ${binary:Version})
 Breaks: uim-qt5 (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Replaces: uim-qt5 (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
 Description: Universal Input Method - Qt 5.x IM module

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# workaround for #1019974
+export DEB_CFLAGS_MAINT_APPEND += -O1
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -25,7 +28,7 @@
 
 confflags += \
 	--with-fep \
-	--without-anthy \
+	--with-anthy \
 	--with-anthy-utf8 \
 	--with-m17nlib \
 	--with-x \
@@ -35,6 +38,8 @@
 	--without-qt4-immodule \
 	--with-qt5 \
 	--with-qt5-immodule \
+	--with-qt6 \
+	--with-qt6-immodule \
 	--with-expat \
 	--disable-dict \
 	--disable-gnome-applet \
@@ -84,9 +89,6 @@
 		usr/share/uim/loader.scm
 	dh_link
 
-override_dh_strip:
-	dh_strip --ddeb-migration='uim-dbg (<< 1:1.8.1-15~)'
-
 override_dh_makeshlibs:
 	dh_makeshlibs \
 		--exclude=usr/lib/$(DEB_HOST_MULTIARCH)/uim/plugin \
@@ -111,7 +113,8 @@
 	dh_installdocs --link-doc uim \
 		-puim-gtk2.0 -puim-gtk2.0-immodule \
 		-puim-gtk3 -puim-gtk3-immodule \
-		-puim-qt5 -puim-qt5-immodule
+		-puim-qt5 -puim-qt5-immodule \
+		-puim-qt6 -puim-qt6-immodule
 	dh_installdocs --link-doc libuim8 -plibuim-dev
 
 override_dh_installchangelogs:

## uim 1.9.6

=== notify/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# AlmaLinux 8: 3.26
+# AlmaLinux 9: 3.26
+# Debian bookworm: 3.25
+# Ubuntu 22.04: 3.22
+# Ubuntu 24.04: 3.28
+cmake_minimum_required(VERSION 3.22)
+
 project(knotify4)
 
 find_package(KDE4 REQUIRED)

=== qt4/toolbar/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# AlmaLinux 8: 3.26
+# AlmaLinux 9: 3.26
+# Debian bookworm: 3.25
+# Ubuntu 22.04: 3.22
+# Ubuntu 24.04: 3.28
+cmake_minimum_required(VERSION 3.22)
+
 project(plasma-uim)
 set(CMAKE_VERBOSE_MAKEFILE on)

=== qt5/applet/CMakeLists.txt ===
# AlmaLinux 8: 3.26
# AlmaLinux 9: 3.26
# Debian bookworm: 3.25
# Ubuntu 22.04: 3.22
# Ubuntu 24.04: 3.28
cmake_minimum_required(VERSION 3.22)

project(uim-applet)

# use Extra CMake Modules (ECM) for common functionality
find_package(ECM REQUIRED NO_MODULE)
# needed by find_package(KF5Plasma) below.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

# Locate plasma_install_package macro
find_package(KF5Plasma REQUIRED)

# Add installation target ("make install")
plasma_install_package(plasmoid com.github.uim.status)

add_subdirectory(qtquick-plugin)

=== qt5/applet/qtquick-plugin/CMakeLists.txt ===
# AlmaLinux 8: 3.26
# AlmaLinux 9: 3.26
# Debian bookworm: 3.25
# Ubuntu 22.04: 3.22
# Ubuntu 24.04: 3.28
cmake_minimum_required(VERSION 3.22)

set(CMAKE_AUTOMOC ON)
find_package(Qt5 REQUIRED COMPONENTS Quick Core Qml)

add_library(
  uim-qtquick-plugin
  SHARED

  plugin.h
  uim-socket.h

  plugin.cpp
  uim-socket.cpp

  # It's not important to include 'qmldir' or 'plugin.qmltypes' here,
  # but it will make IDEs (such as Qt Creator) to include them in project tree
  qmldir
  )

include_directories(
  ${CMAKE_BINARY_DIR}/../../uim
  ${CMAKE_SOURCE_DIR}/../..
  ${CMAKE_SOURCE_DIR}/../../uim
  ${CMAKE_SOURCE_DIR}/../../replace)

target_compile_features(
  uim-qtquick-plugin
  PRIVATE
  cxx_auto_type
  cxx_generic_lambdas
  )

target_compile_options(
  uim-qtquick-plugin
  PRIVATE
  -Wall
  -Wextra
  -Wpedantic
  )

target_link_libraries(
  uim-qtquick-plugin
  PRIVATE
  ${CMAKE_BINARY_DIR}/../../uim/.libs/libuim.so
  ${CMAKE_BINARY_DIR}/../../uim/.libs/libuim-scm.so
  Qt5::Core
  Qt5::Quick
  Qt5::Qml
  )

install(
  TARGETS uim-qtquick-plugin
  DESTINATION ${QML_INSTALL_DIR}/com/github/uim
  )

install(
  FILES qmldir
  DESTINATION ${QML_INSTALL_DIR}/com/github/uim
  )

=== debian/changelog ===
uim (1:1.9.6-1build2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:49:15 +0100

uim (1:1.9.6-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 10:58:09 +0300

uim (1:1.9.6-1) unstable; urgency=medium

  * New upstream
  * d/p/0008-use-ScmFncType.patch: removed

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 17 May 2025 06:37:08 +0000

uim (1:1.9.3-1) unstable; urgency=medium

  * New upstream release
  * d/p/support_anthy-0.3.patch: fix latest version (Closes: #1104618)
  * d/p/0008-use-ScmFncType.patch: work on -Wincompatible-pointer-types

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 05 May 2025 10:09:49 +0900

uim (1:1.9.0-3) unstable; urgency=medium

  * debian/conrtol: remove dpkg pre-depends (Closes: #1100107)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Mar 2025 00:03:50 +0000

uim (1:1.9.0-2) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Non-maintainer upload.
  * debian/{control,rules,libuim-data.*}: Drop libuim-data (Closes: #1032792).
  * debian/uim-data.postinst: Renamed from libuim-data.

  [ NOKUBI Takatsugu ]
  * import debdiff

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 10 Mar 2025 00:52:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: uim
 Section: libs
 Priority: optional
-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Build-Depends: debhelper-compat (= 12),
 	autoconf,
+	autoconf-archive,
 	automake,
 	intltool,
 	libtool,
@@ -15,11 +17,11 @@
 	libatk1.0-dev,
 	libedit-dev,
 	libexpat1-dev,
-	libfreetype6-dev,
+	libfreetype-dev,
 	libgcroots-dev (>= 0.9.0),
 	libgtk2.0-dev (>= 2.10.1),
 	libgtk-3-dev,
-	libncurses5-dev,
+	libncurses-dev,
 	libm17n-dev,
 	libpango1.0-dev,
 	libx11-dev,
@@ -47,8 +49,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	libuim8 (= ${binary:Version}),
 	uim-plugins (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.7.2),
-	uim-data (>= ${source:Version})
+Pre-Depends: uim-data (>= ${source:Version})
 Breaks: uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	libuim-data (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-utils (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
@@ -118,7 +119,7 @@
 	uim-ipa-x-sampa (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-look (<< 1:1.8.6+gh20161003.0.d63dadd-5~),
 	uim-common (<< 1:1.8.6+gh20161003.0.d63dadd-5~)
-Depends: m17n-db, libuim-data (>= ${source:Version}),
+Depends: m17n-db,
 	${misc:Depends}
 Multi-Arch: foreign
 Description: Universal Input Method - data files
@@ -129,13 +130,6 @@
  Scheme, so it's very simple and flexible.
  .
  This package contains the data files for uim.
-
-Package: libuim-data
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Architecture: all
-Section: oldlibs
-Description: transitional package for uim-data
- This is a transitional package. It will be removed next release.
 
 Package: libuim8
 Architecture: any
@@ -304,3 +298,7 @@
 Description: Universal Input Method - Qt 5.x IM module
  Uim is an input method module library which supports various scripts and can
  act as a front end for a range of input methods, including Anthy, Canna,
+ PRIME, or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
+ M17n (for many other languages). Most of its functions are implemented in
+ Scheme, so it's very simple and flexible.
+ .

=== debian/rules ===
--- 
+++ 
@@ -101,8 +101,7 @@
 	dh_installdocs -puim -puim-data \
 		-plibuim8 -plibuim-scm0 -plibuim-custom2 \
 		-puim-plugins \
-		-puim-el -puim-fep -puim-xim \
-		-plibuim-data
+		-puim-el -puim-fep -puim-xim
 	rm -f $(CURDIR)/debian/uim.docs
 	# arch:all
 	dh_installdocs --link-doc uim-data \
@@ -122,5 +121,4 @@
 		-puim-plugins \
 		-plibuim8 -plibuim-scm0 -plibuim-custom2 -plibuim-dev \
 		-puim-el -puim-fep -puim-xim \
-		-plibuim-data \
 		RELNOTE

=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/-alpha/~alpha/;s/-beta/~beta/" \
 https://api.github.com/repos/@PACKAGE@/@PACKAGE@/releases https://github.com/@PACKAGE@/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
